package net.knarcraft.blockhunt;

import net.knarcraft.blockhunt.arena.Arena;
import net.knarcraft.blockhunt.manager.Command;
import net.knarcraft.blockhunt.manager.ConfigManager;
import org.bukkit.Location;
import org.bukkit.entity.Player;
import org.bukkit.inventory.ItemStack;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Random;

public class MemoryStorage {

    /*
     * Standard stuff.
     */
    public static final List<String> newFiles = new ArrayList<>();
    public static final List<Command> commands = new ArrayList<>();

    /*
     * If you want another file to be created. Copy and paste this line.
     */
    public static final ConfigManager config = new ConfigManager("config");
    public static final ConfigManager messages = new ConfigManager("messages");
    public static final ConfigManager arenas = new ConfigManager("arenas");
    public static final ConfigManager signs = new ConfigManager("signs");
    public static final ConfigManager shop = new ConfigManager("shop");

    /*
     * Add any variable you need in different classes here:
     */

    public static final Map<Player, Location> pos1 = new HashMap<>();
    public static final Map<Player, Location> pos2 = new HashMap<>();

    public static final Map<String, Arena> arenaMap = new HashMap<>();
    public static final Random random = new Random();
    public static final Map<Player, Integer> seekerTime = new HashMap<>();

    public static final Map<Player, PlayerArenaData> pData = new HashMap<>();
    public static final Map<Player, ItemStack> chosenBlock = new HashMap<>();
    public static final Map<Player, Boolean> chosenSeeker = new HashMap<>();

    public static final Map<Player, ItemStack> pBlock = new HashMap<>();
    public static final Map<Player, Location> moveLoc = new HashMap<>();
    public static final Map<Player, Location> hiddenLoc = new HashMap<>();
    public static final Map<Player, Boolean> hiddenLocWater = new HashMap<>();

    public static final Map<Player, Location> teleportLoc = new HashMap<>();

}
